diff -Naur collectd.orig/collectd-5.4.1/debian/changelog collectd/collectd-5.4.1/debian/changelog
--- collectd.orig/collectd-5.4.1/debian/changelog	2014-08-17 17:12:51.994118067 -0500
+++ collectd/collectd-5.4.1/debian/changelog	2014-08-17 17:34:04.822140232 -0500
@@ -1,3 +1,10 @@
+collectd (5.4.1-4) unstable; urgency=low
+
+  * Fix FTBFS with clang
+    - Fixed tautological pointer comparison error
+
+ -- Arthur Marble <arthur@info9.net>  Sun, 17 Aug 2014 17:34:04 -0500
+
 collectd (5.4.1-3) unstable; urgency=medium
 
   * debian/control:
diff -Naur collectd.orig/collectd-5.4.1/patches/clang-ftbfs.diff collectd/collectd-5.4.1/patches/clang-ftbfs.diff 
--- collectd.orig/collectd-5.4.1/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ collectd/collectd-5.4.1/patches/clang-ftbfs.diff	2014-08-17 17:16:09.014121498 -0500
@@ -0,0 +1,11 @@
+--- a/src/curl_xml.c
++++ b/src/curl_xml.c
+@@ -385,7 +385,7 @@ static int cx_handle_instance_xpath (xml
+   /* If the base xpath returns more than one block, the result is assumed to be
+    * a table. The `Instance' option is not optional in this case. Check for the
+    * condition and inform the user. */
+-  if (is_table && (vl->type_instance == NULL))
++  if (is_table)
+   {
+     WARNING ("curl_xml plugin: "
+         "Base-XPath %s is a table (more than one result was returned), "
diff -Naur collectd.orig/collectd-5.4.1/patches/series collectd/collectd-5.4.1/patches/series 
--- collectd.orig/collectd-5.4.1/patches/series	1969-12-31 18:00:00.000000000 -0600
+++ collectd/collectd-5.4.1/patches/series	2014-08-17 17:13:12.410118422 -0500
@@ -0,0 +1 @@
+clang-ftbfs.diff
